'use strict';

var picasso = require('@dp/picasso');

/*! *****************************************************************************
Copyright (c) Microsoft Corporation. All rights reserved.
Licensed under the Apache License, Version 2.0 (the "License"); you may not use
this file except in compliance with the License. You may obtain a copy of the
License at http://www.apache.org/licenses/LICENSE-2.0

THIS CODE IS PROVIDED ON AN *AS IS* BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
KIND, EITHER EXPRESS OR IMPLIED, INCLUDING WITHOUT LIMITATION ANY IMPLIED
WARRANTIES OR CONDITIONS OF TITLE, FITNESS FOR A PARTICULAR PURPOSE,
MERCHANTABLITY OR NON-INFRINGEMENT.

See the Apache Version 2.0 License for specific language governing permissions
and limitations under the License.
***************************************************************************** */
/* global Reflect, Promise */

var extendStatics = function(d, b) {
    extendStatics = Object.setPrototypeOf ||
        ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
        function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
    return extendStatics(d, b);
};

function __extends(d, b) {
    extendStatics(d, b);
    function __() { this.constructor = d; }
    d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
}

/**
 * Alert函数，提供原生Alert弹窗
 *
 * @export
 * @param param { title?: 弹窗标题, okTitle?: 确定按钮文本,message?: 消息文本, onClick?: 点击确定的回调}
 */
function alert(param) {
    var wrappedParam = param;
    wrappedParam.success = function (_) {
        if (param.onClick) {
            param.onClick();
        }
    };
    context.sendMessage("modal", "alert", wrappedParam);
}
/**
 * Android only
 * 广播渠道
 * LOCAL为support包中的LocalBroadcastManager渠道
 * SYSTEM为直接通过系统广播渠道
 * ALL为同时支持两种渠道
 * @export
 * @enum {number}
 */
var BroadcastChannel;
(function (BroadcastChannel) {
    BroadcastChannel[BroadcastChannel["LOCAL"] = 0] = "LOCAL";
    BroadcastChannel[BroadcastChannel["SYSTEM"] = 1] = "SYSTEM";
    BroadcastChannel[BroadcastChannel["ALL"] = 2] = "ALL";
})(BroadcastChannel || (BroadcastChannel = {}));

var DramaItemView = /** @class */ (function (_super) {
    __extends(DramaItemView, _super);
    function DramaItemView() {
        var _this = _super !== null && _super.apply(this, arguments) || this;
        _this.mContent = '';
        _this.mPhone = '';
        _this.mToken = '';
        return _this;
    }
    DramaItemView.prototype.onLoad = function () {
        _super.prototype.onLoad.call(this);
        if (this.intentData["viewData"]) {
            this.mDrama = this.intentData["viewData"];
            picasso.loge('ssss', this.mDrama);
        }
        if (this.intentData["extraData"]) {
            this.mExtra = this.intentData["extraData"];
        }
    };
    DramaItemView.prototype.layout = function () {
        var item = picasso.View.viewWithFrame(0, 0, this.width, this.height);
        item.backgroundColor = '#ffffff';
        var postView = picasso.View.viewWithFrame(15, 12, 100, 135);
        postView.cornerRadius = 5;
        var postImageView = picasso.ImageView.viewWithFrame(0, 0, 100, 135);
        postImageView.imageUrl = this.mDrama.posterUrl;
        postImageView.contentMode = 2 /* AspectFill */;
        var saleStatusImageView = picasso.ImageView.viewWithFrame(0, 0, 60, 17);
        saleStatusImageView.contentMode = 0 /* ScaleToFill */;
        // tslint:disable-next-line:no-var-keyword
        var saleStatusImage = '';
        // tslint:disable-next-line:no-var-keyword
        var saleStatusImageSize = { width: 0, height: 0 };
        if (this.mDrama.performanceLabelVO) {
            picasso.loge('ssss', this.mDrama.performanceLabelVO);
            switch (this.mDrama.performanceLabelVO.saleLabel) {
                case 1:
                    saleStatusImage = 'ic_show_soon_sale';
                    saleStatusImageSize = { width: 60, height: 17 };
                    break;
                case 2:
                    saleStatusImage = 'ic_show_pre_sale';
                    saleStatusImageSize = { width: 40, height: 17 };
                    break;
                case 3:
                    saleStatusImage = 'ic_show_sale';
                    saleStatusImageSize = { width: 60, height: 17 };
                    break;
                case 4:
                    saleStatusImage = 'ic_show_sale';
                    saleStatusImageSize = { width: 60, height: 17 };
                    break;
                case 5:
                    saleStatusImage = 'ic_show_finish';
                    saleStatusImageSize = { width: 60, height: 17 };
                    break;
                default:
                    saleStatusImage = '';
                    break;
            }
        }
        saleStatusImageView.size = saleStatusImageSize;
        saleStatusImageView.image = saleStatusImage;
        postView.addSubView(postImageView);
        postView.addSubView(saleStatusImageView);
        var showTitleLabel = picasso.TextView.viewWithFrame(0, 0, 0, 0);
        showTitleLabel.numberOfLines = 0;
        showTitleLabel.linespacing = 2;
        showTitleLabel.top = postView.top;
        showTitleLabel.left = postView.right + 10;
        showTitleLabel.width = item.width - showTitleLabel.left - 15;
        showTitleLabel.textSize = 16;
        showTitleLabel.numberOfLines = 2;
        showTitleLabel.fontStyle = 1 /* FontStyleBold */;
        showTitleLabel.textAlignment = 0 /* Left */;
        showTitleLabel.lineBreakMode = 0 /* WordWrapping */;
        showTitleLabel.textColor = '#111111';
        showTitleLabel.text = this.mDrama.name;
        showTitleLabel.sizeToFit();
        var showTimeImageView = picasso.ImageView.viewWithFrame(0, 0, 16, 16);
        showTimeImageView.contentMode = 0 /* ScaleToFill */;
        showTimeImageView.top = showTitleLabel.bottom + 14;
        showTimeImageView.left = showTitleLabel.left;
        showTimeImageView.image = 'ic_date_grey';
        var showTimeLabel = picasso.TextView.viewWithFrame(0, 0, 0, 0);
        showTimeLabel.numberOfLines = 1;
        showTimeLabel.top = showTimeImageView.top + 1;
        showTimeLabel.left = showTimeImageView.right + 6;
        showTimeLabel.width = this.width - showTimeLabel.left - 15;
        showTimeLabel.textAlignment = 0 /* Left */;
        showTimeLabel.textSize = 12;
        showTimeLabel.textColor = '#888888';
        showTimeLabel.text = this.mDrama.showTimeRange;
        showTimeLabel.sizeToFit();
        var showAddressImageView = picasso.ImageView.viewWithFrame(0, 0, 16, 16);
        showAddressImageView.contentMode = 0 /* ScaleToFill */;
        showAddressImageView.top = showTimeImageView.bottom + 5;
        showAddressImageView.left = showTimeImageView.left;
        showAddressImageView.image = 'ic_address_show_grey';
        var showAddressLabel = picasso.TextView.viewWithFrame(0, 0, 0, 0);
        showAddressLabel.numberOfLines = 1;
        showAddressLabel.top = showAddressImageView.top + 1;
        showAddressLabel.left = showAddressImageView.right + 6;
        showAddressLabel.width = this.width - showAddressLabel.left - 15;
        showAddressLabel.textAlignment = 0 /* Left */;
        showAddressLabel.textSize = 12;
        showAddressLabel.textColor = '#888888';
        showAddressLabel.sizeToFit();
        if (this.mDrama.cityName) {
            showAddressLabel.text = this.mDrama.cityName + " " + this.mDrama.shopName;
        }
        else {
            showAddressLabel.text = this.mDrama.shopName;
        }
        if (this.mExtra.showTheater != 1) {
            showAddressImageView.hidden = false;
            showAddressLabel.hidden = false;
        }
        else {
            showAddressImageView.hidden = true;
            showAddressLabel.hidden = true;
        }
        var priceTagLabel = picasso.TextView.viewWithFrame(0, 0, 0, 0);
        priceTagLabel.textSize = 12;
        priceTagLabel.textColor = '#ff5200';
        priceTagLabel.text = '¥';
        priceTagLabel.sizeToFit();
        var priceStartLabel = picasso.TextView.viewWithFrame(0, 0, 0, 0);
        priceStartLabel.textSize = 12;
        priceStartLabel.textColor = '#ff5200';
        priceStartLabel.text = '起';
        priceStartLabel.sizeToFit();
        var priceLabel = picasso.TextView.viewWithFrame(0, 0, 0, 0);
        priceLabel.textSize = 18;
        priceLabel.textColor = '#ff5200';
        priceLabel.ignoreBaselineAdjustment = true;
        if (this.mDrama.priceRangeType === 1) {
            priceLabel.text = this.mDrama.priceRange;
        }
        else if (this.mDrama.minPreice === this.mDrama.maxPrice) {
            priceLabel.text = this.mDrama.minPreice;
            priceStartLabel.hidden = false;
        }
        else {
            priceLabel.text = this.mDrama.minPreice + '~' + this.mDrama.maxPrice;
            priceStartLabel.hidden = true;
        }
        priceLabel.sizeToFit();
        priceTagLabel.left = showTitleLabel.left;
        priceTagLabel.bottom = postView.bottom - 2;
        priceLabel.left = priceTagLabel.right + 2;
        priceLabel.bottom = postView.bottom;
        priceStartLabel.left = priceLabel.right + 2;
        priceStartLabel.bottom = postView.bottom - 2;
        var sellTagLabel = picasso.TextView.viewWithFrame(0, 0, 0, 0);
        sellTagLabel.textSize = 10;
        sellTagLabel.textColor = '#ff5200';
        sellTagLabel.borderColor = '#ffd89e';
        sellTagLabel.cornerRadius = 2;
        sellTagLabel.borderWidth = 0.5;
        sellTagLabel.backgroundColor = '#fff4e8';
        sellTagLabel.textAlignment = 1 /* Center */;
        sellTagLabel.text = '自营';
        sellTagLabel.sizeToFit();
        sellTagLabel.width = sellTagLabel.width + 8;
        sellTagLabel.height = sellTagLabel.height + 4;
        sellTagLabel.hidden = false;
        if (priceStartLabel.hidden) {
            sellTagLabel.left = priceLabel.right + 5;
        }
        else {
            sellTagLabel.left = priceStartLabel.right + 5;
        }
        sellTagLabel.centerY = priceLabel.centerY;
        if (!this.mDrama.self && this.mDrama.thirdPartyDesc) {
            sellTagLabel.textColor = '#888888';
            sellTagLabel.borderColor = '#d9d9d9';
            sellTagLabel.backgroundColor = '#f4f4f4';
            sellTagLabel.text = '由' + this.mDrama.thirdPartyDesc + '提供';
        }
        var seatTagLabel = picasso.TextView.viewWithFrame(0, 0, 0, 0);
        seatTagLabel.textSize = 10;
        seatTagLabel.textColor = '#577fdc';
        seatTagLabel.backgroundColor = '#e9f2ff';
        seatTagLabel.borderWidth = 0.5;
        seatTagLabel.borderColor = '#c0d3ff';
        seatTagLabel.cornerRadius = 2;
        seatTagLabel.textAlignment = 1 /* Center */;
        seatTagLabel.text = '可选座';
        seatTagLabel.sizeToFit();
        seatTagLabel.width = seatTagLabel.width + 8;
        seatTagLabel.height = seatTagLabel.height + 4;
        if (this.mDrama.seatType === 1 || this.mDrama.seatType === 2) {
            seatTagLabel.hidden = false;
        }
        else {
            seatTagLabel.hidden = true;
        }
        seatTagLabel.left = sellTagLabel.hidden ? priceLabel.right + 5 : sellTagLabel.right + 2;
        seatTagLabel.centerY = priceLabel.centerY;
        item.addSubView(postView);
        item.addSubView(showTitleLabel);
        item.addSubView(showTimeImageView);
        item.addSubView(showTimeLabel);
        item.addSubView(showAddressImageView);
        item.addSubView(showAddressLabel);
        item.addSubView(priceTagLabel);
        item.addSubView(priceLabel);
        item.addSubView(priceStartLabel);
        item.addSubView(sellTagLabel);
        item.addSubView(seatTagLabel);
        item.height = 160;
        return item;
    };
    DramaItemView.prototype.testNativeCallJs = function (data) {
        picasso.loge('ssss', data);
        this.mDrama = data;
        alert({
            title: '提示',
            okTitle: '确定',
            message: this.mDrama.name,
            onClick: function () { }
        });
    };
    return DramaItemView;
}(picasso.VC));
Picasso.Page(DramaItemView);
//# sourceMappingURL=DramaItem-bundle.js.map
